PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : Warum/Wie funktioniert der Elsterlogin mit .pfx nicht?



dinner4one
03.04.2013, 10:56
Hallo,

egal was ich mache, Elster gibt bei mir nur Fehlermeldungen heraus.

z.B. Fehlermeldung
Bitte überprüfen Sie, ob Pfad und Dateiname Ihrer .pfx-Datei korrekt sind. Falls Sie mehrere ElsterOnline-Konten besitzen, wählen Sie die .pfx-Datei des Benutzerkontos aus, für das Sie sich einloggen wollen. Tragen Sie danach Ihre PIN ein und klicken Sie anschließend auf "Login".
Aufgrund eines Fehlers konnte das Applet nicht ausgewählt werden.

Die Ursache für diesen Fehler ist ein direkter Aufruf der aktuellen
Seite durch ein Lesezeichen oder den Back-Button im Browser.

Bitte verwenden Sie nur die auf dieser Webseite angegebenen Links und
benutzen Sie nicht die "Zurück"- beziehungsweise "Back"-Funktionalität Ihres
Browsers, da die Anwendung sonst nicht korrekt arbeitet.


Die Anmeldung wurde richtig durchgeführt, Aktivierungs ID/Code, pfx-datei ist da und nix geht. Browser ist auf neusten Stand, usw. usw.

Es geht nichts. Dieser Elstermist kotzt mich an. E-mail hier Postbenachrichtigung da - für einen Monteur der 11 Monate im Jahr unterwegs ist das eine Zumutung.

Gibt es da keine vernünfige Lösung?

Gruß

Elefant
03.04.2013, 12:22
Du brauchst die beiden Codes nur, um Dein Zertifikat zu erstellen. Hast Du das schon gemacht? Hast Du evtl. mehrere Zertifikate?

Wenn Du Dich mit den beiden Codes registrierst (2. Schritt der Registrierung) dann erhältst Du die pfx-Datei, die Du auf Deinem Computer speicherst. Den Speicherort musst Du Dir natürlich merken. Außerdem vergibst Du eine 6stellige PIN, die Du nicht vergessen solltest.

Danach loggst Du Dich nur noch mit Hilfe der pfx-Datei und der 6stelligen PIN ein.

dinner4one
04.04.2013, 11:56
Ja die .pfx Datei habe ich vor einigen Monaten erstellt. Ich glaube ich habe es damals abgebrochen da ich immer diese Fehlermeldung beim Einlog erhielt.
Also die Loginseite bzw. Java findet meine pfx- Datei nicht. Wo muss die denn gespeichert werden bzw. wie gebe ich dem Login einen Verweis auf die Datei?

Danke für die Antwort

holzgoe
04.04.2013, 12:00
Hallo dinner4one,
beim Login hast du doch einen Button Durchsuchen wo du auf deinen Rechner geleitet wirst und den Pfad bis zur *.pfx-Datei auswählen kannst und dann die vergebene PIN eingeben und es sollte funktionieren.

Du kannst natürlich auch vorab über die Suche deine Zertifikatsdatei suchen lassen, damit du weißt welchen Pfad du eingibst.

Tschüß

AG1971
04.04.2013, 12:06
Hallo!

Schau mal hier zur Erläuterungsunterstützung:

http://elstererfahrungen.blogspot.de/2013/04/elsteronlineportal-registrierung-mit.html

Video 2 - ab 0.50 Sekunden wird es noch mal verdeutlicht, wo die Datei [*.pfx] bei Dir auf dem PC evtl. gespeichert worden ist.

dinner4one
04.04.2013, 12:58
Hallo,

also bei mir erscheint immer folgende Fehlermeldung: Anhang

Es sieht so aus als wenn die Java Applets nicht funktionieren.
Habe Firefox V.20.0, Java SE8 11.0.2.73, auf Visa Business SP2

...liege ich da richtig?

Anhang: Sorry die "Anhänge verwalten Funktion" in diesem Forum klapp bei mir nicht. (Von einem Mist in den Nächsten :-((()

holzgoe
04.04.2013, 13:03
Hallo dinner4one,

hast du mal geschaut auch wenn man sich die aktuellste Java Version herunterlädt muss mann dieses meistens noch zusätzlich aktivieren, das kann auch ein Grund sein.

Tschüß

AG1971
04.04.2013, 13:27
Hallo!

Dann hilft dieser Eintrag evtl. weiter:

http://elstererfahrungen.blogspot.de/2012/12/elsteronlineportal-windows-7-firefox.html

Heute sind natürlich Firefox 20.0 und Java 7 Update 17 aktuell.

dinner4one
04.04.2013, 14:33
Hallo,

der Mist funktioniert nicht! Habe auch mit dem neusten Iexplorer oder Crome versucht.Java (log) meldet keine Fehler. Da stimmt was nicht mit der Elsterseite. Ist die möglicherweise auf einer älteren Javaversion aufgebaut? Sind die Hausaufgaben gemacht worden?
Es kommt immer die Fehlermeldung:

Login mit Software-Zertifikat

Bitte überprüfen Sie, ob Pfad und Dateiname Ihrer .pfx-Datei korrekt sind. Falls Sie mehrere ElsterOnline-Konten besitzen, wählen Sie die .pfx-Datei des Benutzerkontos aus, für das Sie sich einloggen wollen. Tragen Sie danach Ihre PIN ein und klicken Sie anschließend auf "Login".
Aufgrund eines Fehlers konnte das Applet nicht ausgewählt werden.

Die Ursache für diesen Fehler ist ein direkter Aufruf der aktuellen
Seite durch ein Lesezeichen oder den Back-Button im Browser.

Bitte verwenden Sie nur die auf dieser Webseite angegebenen Links und
benutzen Sie nicht die "Zurück"- beziehungsweise "Back"-Funktionalität Ihres
Browsers, da die Anwendung sonst nicht korrekt arbeitet.

...keine Ahnung was man da machen soll.

AG1971
04.04.2013, 14:44
Hallo!

Wie lautet den der Pfad, wo Deine *.pfx Datei auf dem PC abgelegt ist?

dinner4one
04.04.2013, 15:01
JuHuuu ich hab es gefunden.

Beim letzten Java Update wurde die Version jre8ea installiert. Diese muss ich deaktivieren und nur mit jre7 arbeiten dann gehts. Also ist meine Vermutung richtig - die Elsterseiten funktionieren nicht mit jeder bzw. der neusten Javaversion. Es kann nicht sein das ich jedesmal das neuste Java deaktivieren muss um mich mit dem Elsterportal zu verbinden.
Ganz schön traurig, Elsterverein...

AG1971
04.04.2013, 15:04
Hallo!

Ich kann Deine Meinung dazu verstehen.

Hier steht allerdings, dass es derzeit nur mit Java 7 funktioniert.

https://www.elsteronline.de/eportal/Anforderungen.tax

Aber, am 01.09.2013 wird evtl. ganz auf Java verzichtet:

http://elstererfahrungen.blogspot.de/2013/03/elsteronlineportal-die.html

dinner4one
04.04.2013, 15:22
...schön - nun bin ich schon selbst dahinter gekommen. Wäre toll wenn das auf der Loginseite stehen würde! Dann hätte ich mir diese Sucherei und das Konfigurationsgewusel sparen können. Schade das die Anbieter immer hinterherhinken.

ps. Das Uppen von Anhängen in diesem Forum klappt nicht...

FIGUL
04.04.2013, 17:26
Hallo AG1971,

auf der angegebenen Seite steht nicht, dass es nur mit Java 7 funktioniert, sondern
mindestens Version 7. Da kann man schon ins Schleudern kommen

-Zur Nutzung von ElsterOnline benötigen Sie das Java 2 Runtime Environment, Standard Edition (J2SE JRE), mindestens Version Java 7.0. -

Gruß FIGUL